Bug#918525: r-base-core: library lapack.so shouldn't be linked to libopenblas.so.0

2019-01-06 Thread Jörg-Volker Peetz
Hallo Dirk, the problem I see, shows when inspecting /usr/lib/R/modules/lapack.so with $ ldd /usr/lib/R/modules/lapack.so | grep blas libblas.so.3 => /usr/lib/x86_64-linux-gnu/libblas.so.3 (0x7f58c61b5000) libopenblas.so.0 => /usr/lib/x86_64-linux-gnu/libopenblas.so.0

Bug#918532: emacs: Daemon mode does not apply font preferences

2019-01-06 Thread ಚಿರಾಗ್ ನಟರಾಜ್
Package: emacs Version: 1:26.1+1-3 Severity: normal Tags: l10n Dear Maintainer, Here are the steps to reproduce the problem: 1. Install fonts-knda so that all three available fonts are installed. 2. Note that, by default, emacs (at least my emacs) prefers to use Gubbi to render the font. This

Bug#918247: closed by Kyle Robbertze (Bug#918247: fixed in camlimages 1:4.2.6-2)

2019-01-06 Thread Kyle Robbertze
On 2019/01/05 12:34, Adrian Bunk wrote: > Control: reopen -1 > > Unfortunately the problem is still there: > https://buildd.debian.org/status/package.php?p=camlimages=sid Damn... I'll have to play around on a porter box then. Cheers Kyle signature.asc Description: OpenPGP digital signature

Bug#895316: node-once repo on salsa

2019-01-06 Thread Paolo Greppi
FYI, I have manually migrated the git repo of node-once from: https://alioth-archive.debian.org/git/collab-maint/node-once.git.tar.xz to: https://salsa.debian.org/js-team/node-once I skipped all repos on collab-maint during the mass migration in April last year:

Bug#918449: kate freeze when right-click the open/save file dialog

2019-01-06 Thread Joe Ma
Bernhard Übelacker 於 2019/1/6 下午10:31 寫道: Hello Joe Ma, the provided information might not be sufficient for the maintainer to solve the issue. If possible you might install the gdb package and run following, while kate is frozen: gdb -q --pid $(pidof kate) -ex 'set pagination off' -ex

Bug#901149: searx: unexpected crash: name 'basestring' is not defined

2019-01-06 Thread Johannes Schauer
Hi Helmut, On Sat, 9 Jun 2018 15:16:40 +0200 Helmut Grohne wrote: > I got the error "unexpected crash: name 'basestring' is not defined" from the > hoogle backend. I guess this is due to searx.utils.to_string using basestring > without defining it. Regardless of whether that's the cause, the use

Bug#918530: RFP: python-keyboardleds -- keyboard LEDs manipulation

2019-01-06 Thread Jakub Wilk
Package: wnpp Severity: wishlist * Package name: python-keyboardleds Version : 0.3.4 Upstream Author : Jakub Wilk * URL : http://jwilk.net/software/python-keyboardleds * License : Expat Programming Lang: Python Description : keyboard LEDs manipulation

Bug#918531: RFP: trx -- realtime audio over IP

2019-01-06 Thread Jakub Wilk
Package: wnpp Severity: wishlist * Package name: trx Version : 0.3 Upstream Author : Mark Hills * URL : http://www.pogo.org.uk/~mark/trx/ * License : GPL Programming Lang: C Description : realtime audio over IP trx is a simple toolset for

Bug#910902: akonadi-backend-mysql: akonadi fails to start creating new database/config - ~/.local/share/akonadi/db_data/ not created

2019-01-06 Thread Jonathan Rubenstein
Package: akonadi-backend-mysql Version: 4:18.08.1-1 Followup-For: Bug #910902 I was able to reproduce the issue as Ian described, exactly as he described it. I had just reinstalled Debian and switched to KDE as my new desktop environment. I tried opening KMail bu tthe Akonadi service wasn't able

Bug#918522: No sound with PulseAudio when an NVidia GPU is installed - workaround

2019-01-06 Thread Julien Aubin
Workaround : In /etc/pulse/default.pa uncomment the following line : load-module module-alsa-sink Then everything goes back fine. Looks like there's something wrong with PA detection module.

Bug#666219: not handling nostrip build option, Hardening flags missing

2019-01-06 Thread Niels Thykier
Gürkan Myczko: > Hi Niels, > >> Thanks for providing an updated package. :) >> >> Are you (still?) interested in becoming the maintainer of bchunk?  If >> so, please lets file an "Intend To Salvage" bug, so you can become the >> proper maintainer of this package. :) > > Is Intend to Salvage

Bug#918499: libreoffice: fails with 'ERROR 4 forking process'

2019-01-06 Thread Rene Engelhard
On Sun, Jan 06, 2019 at 08:21:36PM -0500, David Zelinsky wrote: > > No, you didn't. > > Yes, I did. If you think something may have gone wrong with it, then > you might tell me that. But if you think I'm lying, you're wrong. I just said you didn't do a upgrade _recently_ because, see below -

Bug#666219: not handling nostrip build option, Hardening flags missing

2019-01-06 Thread Gürkan Myczko
Hi Niels, Thanks for providing an updated package. :) Are you (still?) interested in becoming the maintainer of bchunk? If so, please lets file an "Intend To Salvage" bug, so you can become the proper maintainer of this package. :) Is Intend to Salvage possible keeping the old maintainer?

Bug#918522: No sound with PulseAudio when an NVidia GPU is installed

2019-01-06 Thread Julien Aubin
Hi again, I tested with pavucontrol and the Intel HDA audio controller simply does not appear. Looks like I'm not the only one affected, see : https://unix.stackexchange.com/questions/452079/no-sound-unless-root-in-debian-buster @Debian NVIDIA Maintainers -> the issue might also come from the

Bug#918079: pandas: FTBFS: B-D on python-nbsphinx which is no longer installable nor built any more

2019-01-06 Thread Jerome BENOIT
Hello, On 07/01/2019 00:24, Paul Gevers wrote: > On Thu, 3 Jan 2019 02:39:12 + (UTC) Thorsten Glaser > wrote: >> See #917418 for “python-nbsphinx (0.4.1+ds-1) is not installable”. >> >> src:nbsphinx (0.4.1+ds-3) now only builds the py3k package. >> >> python-nbsphinx (= 0.3.5+ds-1) is

Bug#905831: Fails to build on armhf

2019-01-06 Thread Wookey
On 2018-08-10 12:39 +0200, Sjoerd Simons wrote: > Package: ne10 > Version: 1.2.1-3 > Severity: serious > Tags: patch > Justification: fails to build from source > > As per > https://buildd.debian.org/status/fetch.php?pkg=ne10=armhf=1.2.1-3=1478897528=0 > the build of ne10 fails on armhf. This is

Bug#909752: #909752 fixed in git but not uploaded

2019-01-06 Thread Kunal Mehta
control: tags -1 pending Hi Ondřej, It looks like you fixed this #909752 in git back in November[1], but it was never uploaded to the archive. Is there anything blocking its upload? [1] https://salsa.debian.org/php-team/pecl/php-apcu-bc/commit/a4c7df39a4775cbf2988bb97bb07153ffbdb5f9e Thanks,

Bug#918384: dgit: typo suggestions in man pages

2019-01-06 Thread Paul Hardy
Ian, On Sun, Jan 6, 2019 at 11:39 AM Ian Jackson wrote: > ... > As for the rest, I agree with Sean's comments. Paul, would you care > to respin the patch ? I'm planning an upload soon today but I can > wait a few hours if that would get thwse changes included. I trust that after you sent this

Bug#864644: dictionary-el: No font face support for default font

2019-01-06 Thread Aaron M. Ucko
"Aaron M. Ucko" writes: > buffer's appearance up to customization, but will defer to upstream on > the actual default appearance. To that end, I turned your patch into a > formal GitHub pull request: Upstream already accepted this patch, so I'll incorporate it in full as well. Thanks again

Bug#914568: emacs25: Please build with xwidget support

2019-01-06 Thread Dato Simó
> check-security-status also says webkit2gtk is unsupported. So unless I > miss something, nothing has significantly changed with respect to > xwidgets. Okay, fair enough. It would still be nice, though, to have an emacs-xwidgets package. Unfortunately, it is not feasible to have it built in

Bug#918529: openconnect: version 8.01 available upstream

2019-01-06 Thread Daniel Kahn Gillmor
Package: openconnect Version: 7.08-3 Severity: wishlist on the mailing list, i see that openconnect 8.01 is available upstream. it's also tagged in the upstream git repository. please package the new version for debian! --dkg -- System Information: Debian Release: buster/sid APT

Bug#864644: dictionary-el: No font face support for default font

2019-01-06 Thread Aaron M. Ucko
Ben Wong writes: > Since emacs can handle nice variable width fonts, it makes sense to > have dictionary.el use them by default. While there is support for > changing some of the font faces, such as the buttons at the top, the > package is mysteriously missing the ability to change the font of

Bug#917055: blktool FTBFS with glibc 2.28

2019-01-06 Thread Logan Rosen
Control: tags -1 patch Dear Maintainer, In Ubuntu, the attached patch was applied to achieve the following: * Add patch to fix FTBFS with glibc-2.28. Thanks for considering the patch. Logan Rosen -- System Information: Debian Release: buster/sid APT prefers cosmic-updates APT policy:

Bug#885346: clicking mailto link in chromium silently sends empty mail

2019-01-06 Thread Ryan Tandy
I am not sure this is neomutt's fault or chromium's. It looks like the root cause is xdg-open not respecting Terminal=true in neomutt.desktop. There is an existing bug about that: https://bugs.freedesktop.org/show_bug.cgi?id=92514 Wrapping the neomutt command in a terminal emulator works as a

Bug#871019: sshfs: Please update to 3.x

2019-01-06 Thread Mo Zhou
On Sun, Jan 06, 2019 at 07:56:11PM +0100, Fabio Pedretti wrote: > I don't think a transition is needed, now that fuse and fuse3 are > co-installable. The packages that can migrate to fuse3 could do, the others Source of "co-installable"??? I just installed fuse3, then apt removed gnome-core and

Bug#918499: libreoffice: fails with 'ERROR 4 forking process'

2019-01-06 Thread David Zelinsky
First, I apologize for any way in which I might be misusing the bug-reporting system. Really I thought I was doing a service by reporting this. As an aside, if, as I hope, you want to encourage people to use Debian and to report bugs, I would suggest you might want to adopt a more more civil

Bug#918528: Suggesting non-existent package emacs-common-non-dfsg

2019-01-06 Thread 積丹尼 Dan Jacobson
Package: emacs-gtk Version: 1:26.1+1-3 Versions of packages emacs-gtk suggests: pn emacs-common-non-dfsg

Bug#896295: Tensorflow is missing

2019-01-06 Thread M. Zhou
Hi, On Mon, Jan 07, 2019 at 12:24:29AM +0100, Petter Reinholdtsen wrote: > Is TensorFlow different from libtensorflow, already in unstable: experimental >

Bug#918527: Conflicting defaults on man page

2019-01-06 Thread 積丹尼 Dan Jacobson
Package: procmail Version: 3.22-26 Severity: minor File: /usr/share/man/man5/procmailrc.5.gz Maybe change hFeed the header to the pipe, file or mail destination (default). bFeed the body to the pipe, file or mail destination (default). to hFeed just the header

Bug#867504: beanbag FTBFS with python 3.6 as supported version

2019-01-06 Thread Logan Rosen
Control: tags -1 patch Dear Maintainer, In Ubuntu, the attached patch was applied to achieve the following: * Grab PR from upstream Git to fix Python 3.6 compatibility, fixing FTBFS. Thanks for considering the patch. Logan Rosen -- System Information: Debian Release: buster/sid APT

Bug#909828: actiona FTBFS with Qt 5.11

2019-01-06 Thread Logan Rosen
Control: tags -1 patch Dear Maintainer, In Ubuntu, the attached patch was applied to achieve the following: * Grab patch from upstream to fix FTBFS with Qt 5.11. * debian/docs: Change README to README.md. Thanks for considering the patch. Logan Rosen -- System Information: Debian

Bug#918340: pylint-django build depends on python3-factory-boy that is currently not in buster

2019-01-06 Thread Joseph Herlant
FYI, the new version of factory-boy is on the ftp-master queue. This will solve itself in the next few days. I'll close it once the package reaches testing. Cheers, Joseph

Bug#776450: Xen PVH support for grub-xen in Buster

2019-01-06 Thread Hans van Kranenburg
On 1/6/19 11:21 AM, Colin Watson wrote: > On Sat, Jan 05, 2019 at 10:51:13PM +0100, Hans van Kranenburg wrote: >> On 1/5/19 8:04 PM, Colin Watson wrote: >>> I think I'm OK with cherry-picking the relevant patch stack. Presumably >>> this would need to be in new grub-xen-pvh-bin / grub-xen-pvh

Bug#918481: gnuradio: FTBFS on hurd-i386

2019-01-06 Thread Samuel Thibault
Control: reopen -1 Control: found -1 3.7.13.4-3 Hello, > gnuradio (3.7.13.4-3) unstable; urgency=medium > . >* improve hurd-i386 build. Thanks Samuel! (Closes: #918481) Well, this upload was missing the python-pyqt5 Build-Depends part of my patch? And thus still FTBFS. I have added it

Bug#918410: [qtcreator] qtcreator freezes during startup

2019-01-06 Thread Bernhard Übelacker
Hello Johannes, thanks for your fast respone. Can you repeat that gdb command with following additional dbgsym packages installed, to complete the backtraces: libxcb1-dbgsym libqt5gui5-dbgsym libqt5widgets5-dbgsym libqt5gui5-dbgsym libqt5dbus5-dbgsym libqt5core5a-dbgsym libglib2.0-0-dbgsym

Bug#833116: fgetty: Incorrect keystroke interpretation

2019-01-06 Thread Ricardo Peliquero
Your patch below works perfectly well. Again, I have implemented it with and without my custom .rcrc and everything will work just as expected. Thank you very much. I've learned a lot with this. Kindest regards, Ricardo Peliquero > From 200b7d217ee3ac54b376116e7d64ce0844ecbed9 Mon Sep 17

Bug#776450: Xen PVH support for grub-xen in Buster

2019-01-06 Thread Colin Watson
On Mon, Jan 07, 2019 at 12:43:12AM +0100, Hans van Kranenburg wrote: > So, if I go to my upstream build directory and follow the same recipe: > > -$ mkdir -p grub_dir/boot/grub > -$ sed -e "s/@@PVBOOT_ARCH@@/i386-xen_pvh/" < > ~/path/to/debian/grub/packaging/debian/grub-xen-host_grub.cfg > >

Bug#878340: libmariadbclient-dev-compat: mysqlclient.pc is not visible to pkg-config

2019-01-06 Thread Nikolay Dimitrov
Hi Otto, Helmut, Thanks for fixing the bug and sharing the progress with me. To be honest, I could have sent a patch for this issue even back then, but I'm not familiar with Debian's contributors' policy and procedures, and decided to not experiment with it (if it takes months for experienced

Bug#776450: Xen PVH support for grub-xen in Buster

2019-01-06 Thread Hans van Kranenburg
On 1/6/19 11:28 AM, Colin Watson wrote: > On Sun, Jan 06, 2019 at 01:45:53AM +0100, Hans van Kranenburg wrote: >> Hm, so I have a PV (or PVH) domU in a test environment here, and I tried >> to use it in the Debian way of booting it. >> >> If I install grub-xen-bin inside the domU then I get some

Bug#918526: mtail: FTBFS randomly

2019-01-06 Thread Santiago Vila
Package: src:mtail Version: 3.0.0~rc16-1 Severity: important Tags: ftbfs Dear maintainer: I tried to build this package in buster but it failed: [...] debian/rules build-arch dh build-arch --buildsystem=golang

Bug#918379: please decide: severity of "fails to purge" issues

2019-01-06 Thread Andreas Beckmann
> h01ger: what does 'fails to purge' mean? the purge fails (gives > errors) or the purge 'succeeds', but files are left? The failures intended to be raised to serious are all the cases where maintainer scripts will fail - ususally in some corner cases depending on (worst-case but

Bug#918525: r-base-core: library lapack.so shouldn't be linked to libopenblas.so.0

2019-01-06 Thread Dirk Eddelbuettel
Hallo Jörg-Volker, On 7 January 2019 at 00:09, Jörg-Volker Peetz wrote: | Package: r-base-core | Version: 3.5.2-1 | Severity: important | | Hi Dirk, | | the library /usr/lib/R/modules/lapack.so contained in this package is | linked to /usr/lib/x86_64-linux-gnu/libopenblas.so.0 of the package

Bug#896295: Tensorflow is missing

2019-01-06 Thread Petter Reinholdtsen
[Lumin] >> Is there some estimated time frame to package TensorFlow? > > No estimated time frame for it. TensorFlow provides bazel build for > linux and cmake build for windows. Bazel itself is blocking for years, > and a DD, Paul Liu, who worked on it in the past had said that it was > hard to

Bug#869626: node-ws: Please update to upstream version 3.0.0

2019-01-06 Thread Jérémy Lal
Package: node-ws Followup-For: Bug #869626 Hi, how much is this still needed ? Any help would be appreciated to update this package. -- System Information: Debian Release: buster/sid APT prefers unstable APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental') Architecture: amd64

Bug#918525: r-base-core: library lapack.so shouldn't be linked to libopenblas.so.0

2019-01-06 Thread Jörg-Volker Peetz
Package: r-base-core Version: 3.5.2-1 Severity: important Hi Dirk, the library /usr/lib/R/modules/lapack.so contained in this package is linked to /usr/lib/x86_64-linux-gnu/libopenblas.so.0 of the package libopenblas-base. Package libopenblas-base provides the dependency libblas.so.3. The

Bug#918524: ccdiff: Typo in package description

2019-01-06 Thread gregor herrmann
On Sun, 06 Jan 2019 23:47:01 +0100, Thomas Vincent wrote: > I noticed a typo in the package description of ccdiff. Indeed, in the second > paragraph, 'addedd' should be spelled 'added'. Thanks, fixed in git. Cheers, gregor -- .''`. https://info.comodo.priv.at -- Debian Developer

Bug#918480: squashfs-tools: Please move to "squashfskit" fork

2019-01-06 Thread GCS
On Sun, Jan 6, 2019 at 11:18 PM Chris Lamb wrote: > Chris Lamb wrote: > > https://git-tails.immerda.ch/squashfs-tools/plain/debian/patches/0011-If-SOURCE_DATE_EPOCH-is-set-use-that-timestamp-for-t.patch?h=debian > > > > … and: > > > >

Bug#918524: ccdiff: Typo in package description

2019-01-06 Thread Thomas Vincent
Package: ccdiff Severity: minor Dear Maintainer, I noticed a typo in the package description of ccdiff. Indeed, in the second paragraph, 'addedd' should be spelled 'added'. Thanks a lot for your work on ccdiff. Thomas -- System Information: Debian Release: 9.6 APT prefers proposed-updates

Bug#851189: keyboard-configuration: ALT+Cursor-Left switches consoles instead of working on app in focus

2019-01-06 Thread Samuel Thibault
Hello, Mike McGuire, le sam. 05 janv. 2019 03:25:42 +, a ecrit: > This started happening to me recently, not sure what change could be to blame > but I found a lengthy thread on the ubuntu bug tracker that seems to confirm > things. Copying the relevant post: >

Bug#918520: libfiu: FTBFS randomly when built with eatmydata

2019-01-06 Thread Chris Lamb
[Adding albert...@blitiri.com.ar to CC] Dear Santiago, > It is a "just in case". The offer to ssh into my machine is a blurb > which I now add to all my bug reports when the problem is "weird", > for example, when it does not seem to happen in buildd.debian.org or > reproducible-builds. Awesome

Bug#918480: squashfs-tools: Please move to "squashfskit" fork

2019-01-06 Thread Chris Lamb
Chris Lamb wrote: > https://git-tails.immerda.ch/squashfs-tools/plain/debian/patches/0011-If-SOURCE_DATE_EPOCH-is-set-use-that-timestamp-for-t.patch?h=debian > > … and: > >

Bug#918520: libfiu: FTBFS randomly when built with eatmydata

2019-01-06 Thread Santiago Vila
On Sun, Jan 06, 2019 at 10:54:13PM +0100, Chris Lamb wrote: > Hi Santiago, > > > [ I can offer a machine for you to ssh into it and reproduce this if you > > need it, please contact me privately for details ]. > > Just out of interest, is there a good reason why I might not be > able to

Bug#917566: lintian: please warn about non-supported previous versions

2019-01-06 Thread Chris Lamb
tags 917566 - moreinfo thanks Hi Dmitry, > Probably I missing something oblivious, but still: if you know that > version X is latest […] I think it was me who was missing oblivious; your pseudocode helped clarify what you were after so thanks for persevering. > grep -v '#' $maintscript |

Bug#918523: ITP: appimagelauncher -- Helper application for Linux distributions serving as a kind of "entry point" for running and integrating AppImages

2019-01-06 Thread Scarlett Moore
Package: wnpp Severity: wishlist Owner: Scarlett Moore * Package name: appimagelauncher Version : 1.0.0 Upstream Author : TheAssassin * URL : https://github.com/TheAssassin/AppImageLauncher * License : (MIT/X) Programming Lang: (C++) Description :

Bug#850798: tika: FTBFS: Could not resolve dependencies for project org.apache.tika:tika-parsers:jar:1.5

2019-01-06 Thread Emmanuel Bourg
Control: reassign -1 libvorbis-java Control: affects -1 src:tika I'm reassigning the bug to vorbis-java because the tika module should be enabled there to fix this dependency issue. I'll look at the other compilation errors separately. Emmanuel Bourg

Bug#918520: libfiu: FTBFS randomly when built with eatmydata

2019-01-06 Thread Chris Lamb
Hi Santiago, > [ I can offer a machine for you to ssh into it and reproduce this if you > need it, please contact me privately for details ]. Just out of interest, is there a good reason why I might not be able to reproduce this locally, or is this a "just in case"? Regards, -- ,''`.

Bug#911944: neovim FTBFS: tests fail

2019-01-06 Thread James McCoy
Version: 0.3.2-1 On Sat, Nov 10, 2018 at 03:36:08PM -0500, James McCoy wrote: > On Sat, Nov 10, 2018 at 04:09:55PM +0100, Helmut Grohne wrote: > > I also tried in pbuilder and there I only got the utf_char2bytes > > failure, not the ones with check_cores. This hints that something about > > my

Bug#918522: No sound with PulseAudio when an NVidia GPU is installed.

2019-01-06 Thread Julien Aubin
Package: pulseaudio Version: 12.2-2 Severity: important Hi, The issue is reproducible on systems with an Intel Audio chip and a NVIDIA GPU with HDMI output (detected as a soundcard). When both conditions are met, PulseAudio does not detect the Intel Audio soundcard anymore and no sound at all

Bug#915997: unyaffs: diff for NMU version 0.9.7-0.1

2019-01-06 Thread Adrian Bunk
Control: tags 805593 + patch Control: tags 805593 + pending Control: tags 915997 + pending Control: tags 916117 + patch Control: tags 916117 + pending Dear maintainer, I've prepared an NMU for unyaffs (versioned as 0.9.7-0.1) and uploaded it to DELAYED/14. Please feel free to tell me if I

Bug#914732: lists.debian.org: Request for new mailing list: debian-dug-muc

2019-01-06 Thread Stefan Fritsch
On Mon, 26 Nov 2018 20:12:24 +0100 Michael Banck wrote: > Please create the Debian User Group list debian-dug-muc for the Munich > local area user group, https://wiki.debian.org/LocalGroups/DebianMuc seconded. Cheers, Stefan

Bug#918509: qtwayland5 mixes together the client and server components of qtwayland

2019-01-06 Thread Dmitry Shachnev
Hi Martin! On Sun, Jan 06, 2019 at 09:14:59PM +0100, Martin Graesslin wrote: > QtWayland consists of a client part (providing the qpa platform plugin) and > a compositor part (providing an API to implement a Wayland server). > In Debian it's not possible to just install the client part. Thus the

Bug#868499: osmose-emulator: No sound

2019-01-06 Thread Carlos Donizete Froes
Hi, I agree that the plugdev device is obsolete. Although this is not a concrete solution, it has been replaced from "plughw" by "default" in "src/OsmoseCore.cpp". Changed sound buffer writing method. Thanks to Kevin Joly (Kev-J). Thanks! -- ⢀⣴⠾⠻⢶⣦⠀ Carlos Donizete Froes [a.k.a coringao]

Bug#918521: vim FTCBFS: lots of reasons

2019-01-06 Thread Helmut Grohne
Source: vim Version: 2:8.1.0693-2 Tags: patch User: helm...@debian.org Usertags: rebootstrap vim fails to cross build from source for a larger pile of reasons. Let me go through them step by step: * Build-Depends: ruby and Build-Depend: python3-dev asks for the host architecture interpreters

Bug#918499: libreoffice: fails with 'ERROR 4 forking process'

2019-01-06 Thread Rene Engelhard
tag 918499 + moreinfo tag 918499 + unreproducible severity 918499 important thanks Hi, On Sun, Jan 06, 2019 at 01:46:09PM -0500, David Zelinsky wrote: > Package: libreoffice > Version: 1:6.1.3-2 > Severity: grave > Justification: renders package unusable Sorry, but not every problem one person

Bug#918520: libfiu: FTBFS randomly when built with eatmydata

2019-01-06 Thread Santiago Vila
Package: src:libfiu Version: 0.98-1 Tags: ftbfs Hello Chris. I'm getting random build failures for this package: [...] debian/rules build-arch dh build-arch --with python3,python2 dh_update_autotools_config -a

Bug#918519: libi8x: FTBFS on mips(el): Test calling a native function. ... Bus error

2019-01-06 Thread Emilio Pozuelo Monfort
Source: libi8x Version: 0.0.5-1 Severity: serious Tags: ftbfs Hi, Your package failed to build on mips/el on a rebuild without python3.6: Test calling a native function. ... Bus error Full logs at https://buildd.debian.org/status/package.php?p=libi8x=unstable Emilio

Bug#918518: ITP: austin -- a frame stack sampler for CPython

2019-01-06 Thread Gabriele
Package: wnpp Owner: Gabriele N. Tornetta Severity: wishlist * Package name: austin Version : 0.6.1 Upstream Author : Gabriele N. Tornetta * URL : https://github.com/P403n1x87/austin * License : GPL Programming Lang: C Description : a frame stack

Bug#848948: ebtables FTCBFS: uses build architecture compiler

2019-01-06 Thread Niels Thykier
On Wed, 21 Dec 2016 06:21:44 +0100 Helmut Grohne wrote: > Source: ebtables > Version: 2.0.10.4-3.5 > Tags: patch > User: helm...@debian.org > Usertags: rebootstrap > > ebtables fails to cross build from source, because it uses the build > architecture compiler. dh_strip thus fails operating on

Bug#918517: grib-api: fails to remove packages

2019-01-06 Thread Emilio Pozuelo Monfort
Source: grib-api Version: 1.28.0-1 Severity: grave Hi, Your packages fail to remove: (Reading database ... 4458 files and directories currently installed.) Purging configuration files for python-gribapi (1.28.0-1) ... rmdir: failed to remove

Bug#914317: dgit: sometimes ignores configured clean-mode

2019-01-06 Thread Ian Jackson
Sean Whitton writes ("Re: Bug#914317: dgit: sometimes ignores configured clean-mode"): > On Sun 06 Jan 2019 at 01:13pm GMT, Ian Jackson wrote: > > I tried quite hard to investigate this allegation that the clean mode > > was honoured differently according to whether it was specified in the > >

Bug#918516: git-lfs FTBFS with Go 1.11

2019-01-06 Thread Adrian Bunk
Source: git-lfs Version: 2.6.1-1 Severity: serious Tags: ftbfs https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/git-lfs.html ... debian/rules override_dh_auto_build make[1]: Entering directory '/build/1st/git-lfs-2.6.1' cd obj-x86_64-linux-gnu/src/github.com/git-lfs/git-lfs

Bug#912324: BleachBit causing error since updating Firefox to Firefox Quantum 60.0 ESR

2019-01-06 Thread Witold Baryluk
Package: bleachbit Followup-For: Bug #912324 Please downgrade the severity to important. It is definitively not 'serious' bug by any means. Thanks.

Bug#918322: initramfs-tools: kernel fails to boot with "Gave up waiting for root file system device"

2019-01-06 Thread Michael Biebl
Hi Axel Am 06.01.19 um 13:32 schrieb Axel Ludszuweit: > > Hello Michael, > > I have try your udev240-3, unfortunately it fails in the same way as > udev240-2. Due to a lack of PS2 keyboard I can't run your suggested commands > in the initramfs shell. > One thing was other than I expected: >

Bug#918322: initramfs-tools: kernel fails to boot with "Gave up waiting for root file system device"

2019-01-06 Thread Michael Biebl
Hi Laurence! Am 06.01.19 um 19:29 schrieb Laurence Abbott: > I'm pretty sure I came across the same issue yesterday: I ran a > dist-upgrade on an X99-based system (the first for several months) and > the system was left unbootable. My root system is on raid and booting > failed with mdadm errors

Bug#918515: golang-github-aead-chacha20 FTBFS: relocation target runtime.support_avx not defined

2019-01-06 Thread Adrian Bunk
Source: golang-github-aead-chacha20 Version: 0.0~git20180214.c8d2937-1 Severity: serious Tags: ftbfs https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/golang-github-aead-chacha20.html ... dh_auto_test -O--buildsystem=golang cd obj-x86_64-linux-gnu && go test -vet=off

Bug#918513: ITP: soupsieve -- A modern CSS selector implementation for BeautifulSoup

2019-01-06 Thread Stefano Rivera
Package: wnpp Severity: wishlist Owner: Stefano Rivera * Package name: soupsieve Version : 1.6.2 Upstream Author : Isaac Muse * URL : https://github.com/facelessuser/soupsieve * License : MIT/Expat Programming Lang: Python Description : A modern CSS

Bug#918514: golang-github-aead-poly1305 FTBFS: relocation target runtime.support_avx2 not defined

2019-01-06 Thread Adrian Bunk
Source: golang-github-aead-poly1305 Version: 0.0~git20170715.6cf43fd-1 Severity: serious Tags: ftbfs https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/golang-github-aead-poly1305.html ... dh_auto_test -O--buildsystem=golang cd obj-x86_64-linux-gnu && go test -vet=off

Bug#918079: pandas: FTBFS: B-D on python-nbsphinx which is no longer installable nor built any more

2019-01-06 Thread Paul Gevers
On Thu, 3 Jan 2019 02:39:12 + (UTC) Thorsten Glaser wrote: > See #917418 for “python-nbsphinx (0.4.1+ds-1) is not installable”. > > src:nbsphinx (0.4.1+ds-3) now only builds the py3k package. > > python-nbsphinx (= 0.3.5+ds-1) is installable and usable, but no > longer in Debian, so please

Bug#918512: kwayland-integration incorrectly depends on qtwayland5

2019-01-06 Thread Martin Graesslin
Package: kwayland-integration Version: 5.13.4-1 Severity: normal Dear Maintainer, kwayland-integration depends on qtwayland5. This package depends on both Qt's client and compositor API. It absolutely makes no sense that a Wayland *client* integration plugin depends on a compositor API. In

Bug#918511: golang-github-shopify-sarama-dev: missing dependency on golang-github-datadog-zstd-dev

2019-01-06 Thread Adrian Bunk
Package: golang-github-shopify-sarama-dev Version: 1.20.0-1 Severity: serious Control: affects -1 src:burrow https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/burrow.html ... src/github.com/Shopify/sarama/zstd_cgo.go:5:8: cannot find package "github.com/DataDog/zstd" in any of:

Bug#918509: qtwayland5 mixes together the client and server components of qtwayland

2019-01-06 Thread Martin Graesslin
Package: qtwayland5 Version: 5.11.2-3 Severity: normal Dear Maintainer, QtWayland consists of a client part (providing the qpa platform plugin) and a compositor part (providing an API to implement a Wayland server). In Debian it's not possible to just install the client part. Thus the Plasma

Bug#918384: dgit: typo suggestions in man pages

2019-01-06 Thread Sean Whitton
Hello, On Sun 06 Jan 2019 at 07:39pm GMT, Ian Jackson wrote: >> > > -Whether to setup a merge driver which uses dpkg-mergechangelogs for >> > > +Whether to set up a merge driver which uses dpkg-mergechangelogs for >> > >> > I think this is wrong. AIUI, 'setup' is a noun and 'set up' is a verb.

Bug#918510: kwin-wayland incorrectly depends on kwayland-integration

2019-01-06 Thread Martin Graesslin
Package: kwin-wayland Version: 4:5.13.5-1+b1 Severity: normal Dear Maintainer, kwin-wayland incorrectly depends on kwayland-integration. KWin neither at build nor at run time uses anyting from kwayland-integration. -- System Information: Debian Release: buster/sid APT prefers testing APT

Bug#918508: Should golang-1.10 be shpped in buster?

2019-01-06 Thread Adrian Bunk
Source: golang-1.10 Severity: serious With golang-1.11 as default now, should golang-1.10 be shipped in buster?

Bug#918507: RFS: osmose-emulator/1.4-1 - Sega Master System and Game Gear console emulator

2019-01-06 Thread Carlos Donizete Froes
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "osmose-emulator" * Package name: osmose-emulator Version : 1.4-1 Upstream Author : Carlos Donizete Froes * URL :

Bug#918506: Installation fails with "This account is currently not available." when debian-spamd has no login shell

2019-01-06 Thread debian-bugreports943
Package: spamassassin Version: 3.4.2-1~deb9u1 The installation or update of spamassassin aborts with the following error message: $ aptitude install spamassassin [...] Errors were encountered while processing: spamassassin E: Sub-process /usr/bin/dpkg returned an error code (1) Setting up

Bug#918372: unblock: med-fichier/4.0.0+repack-6

2019-01-06 Thread Adrian Bunk
On Sun, Jan 06, 2019 at 08:28:33PM +0100, Paul Gevers wrote: > Hi Adrian, Niels, Hi Paul, > On 06-01-2019 20:01, Adrian Bunk wrote: > >> That is because gmsh from testing links to libmed1v5. Adding this > >> *versioned* breaks to libmed11 (albeit being a bit ridiculous from the > >> archive

Bug#918505: golang-goprotobuf breaks golang-google-cloud autopkgtest

2019-01-06 Thread Paul Gevers
Source: golang-goprotobuf, golang-google-cloud Control: found -1 golang-goprotobuf/1.2.0-1 Control: found -1 golang-google-cloud/0.9.0-7 X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: breaks needs-update Dear maintainers, With a recent upload of

Bug#918504: lyx: `lyx --export latex ` outputs loads of errors [patch attached]

2019-01-06 Thread Georges Khaznadar
Package: lyx Version: 2.3.2-1 Severity: normal lyx --export latex someFile.lyx outputs loads of errors, with this pattern: Traceback (most recent call last): File "/usr/share/lyx/scripts/convertDefault.py", line 38, in output = output.decode() AttributeError: 'str' object has no attribute

Bug#918503: glusterfs-common: support files not separated from shared library

2019-01-06 Thread Helmut Grohne
Package: glusterfs-common Version: 5.2-1 Severity: serious Justification: 8.2 Tags: patch Control: block 881526 by -1 glusterfs-common combines shared libraries with a lot of other files and even a glusterfs user. Doing so violates the Debian policy section 8.2: | If your package contains files

Bug#918502: golang-github-opencontainers-runtime-tools: autopkgtest needs update for new version of golang-github-hashicorp-go-multierror

2019-01-06 Thread Paul Gevers
Source: golang-github-opencontainers-runtime-tools Version: 0.7.0+dfsg-1 User: debian...@lists.debian.org Usertags: needs-update Control: affects -1 src:golang-github-hashicorp-go-multierror Dear maintainers, With a recent upload of golang-github-hashicorp-go-multierror the autopkgtest of

Bug#918384: dgit: typo suggestions in man pages

2019-01-06 Thread Ian Jackson
Paul Hardy writes ("Bug#918384: dgit: typo suggestions in man pages"): > On Sat, Jan 5, 2019 at 12:18 PM Sean Whitton wrote: > > Aren't either acceptable in contemporary English? ('to' is what I would > > expect myself to write) > > I'm accustomed to "different from", but I am not a grammarian.

Bug#918438: orig tarball components with uppercase letters

2019-01-06 Thread Ian Jackson
Mattia Rizzolo writes ("Re: Bug#918438: orig tarball components with uppercase letters"): > We have packages (src:debhelper did for a long time) containing files > with the same name and only case differences in them (in the case of > debhelper, it was shipping a 'debian' and a 'Debian'

Bug#918372: unblock: med-fichier/4.0.0+repack-6

2019-01-06 Thread Paul Gevers
Hi Adrian, Niels, On 06-01-2019 20:01, Adrian Bunk wrote: >> That is because gmsh from testing links to libmed1v5. Adding this >> *versioned* breaks to libmed11 (albeit being a bit ridiculous from the >> archive point of view) would do the right thing AFAICT. >> ... > > despite libmed11 not

Bug#886861: ring: abort with assertion failed: (_gtk_rbtree_is_nil (tree->root))

2019-01-06 Thread Petter Reinholdtsen
Hi Alexandre, [Alexandre Viau] > Are you still getting this issue? Yes. It crashed a few seconds ago, when I tried to do a search in the addresses field. > There were a number of improvements in regards to gnome client crashes > in the past months. Did any of these improvements reach Debian

Bug#914732: lists.debian.org: Request for new mailing list: debian-dug-muc

2019-01-06 Thread Michael Banck
Hi, On Tue, Dec 04, 2018 at 10:07:43PM +0100, Alexander Wirt wrote: > This request is missing seconders. How many more do you need? Michael

Bug#918501: transition: re2

2019-01-06 Thread Stefano Rivera
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition re2 is a C++ regex library, requiring about a transition a year, for various symbol changes. Only 6 reverse dependencies in testing. The automated ben file looks fine:

Bug#918179: debci: configure error: undefined method `migrate'

2019-01-06 Thread Paul Gevers
reassign 918179 src:rails 2:5.2.0+dfsg-2 severity 918179 serious Hi Scott, On 04-01-2019 02:31, Scott Talbert wrote: > I just updated my sid system today and ran into this error: > > Setting up debci (1.14) ... > Traceback (most recent call last): > 1: from -e:1:in `' >

Bug#918500: duperemove FTCBFS: uses the wrong pkg-config

2019-01-06 Thread Helmut Grohne
Source: duperemove Version: 0.11.1-2 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap duperemove fails to cross build from source, because the upstream Makefile hard codes the build architecture pkg-config. After making it substitutable, dh_auto_build's substitution takes

Bug#918499: libreoffice: fails with 'ERROR 4 forking process'

2019-01-06 Thread David Zelinsky
Package: libreoffice Version: 1:6.1.3-2 Severity: grave Justification: renders package unusable Dear Maintainer, I'm running "testing", and recently did a dist-upgrade. Previously libreoffice worked fine, but now fails to start. From the menu, nothing happens. From command line, it fails with

  1   2   3   >